Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util.logger
Class TxLogger

    java.lang.Object
      org.apache.slide.util.logger.TxLogger

All Implemented Interfaces:
  org.apache.commons.transaction.util.LoggerFacade

public class TxLogger
extends java.lang.Object
implements org.apache.commons.transaction.util.LoggerFacade

Mapper from Slide logging to commons tx logging.

Version:
  $Revision: 1.3 $

Field Summary
`protected java.lang.String` | `logChannel`
`protected Logger` | `logger`

Constructor Summary
`TxLogger(Logger logger, java.lang.String logChannel)`

Method Summary
`org.apache.commons.transaction.util.LoggerFacade` | `createLogger(java.lang.String name)`
`Logger` | `getLogger()`
`boolean` | `isFineEnabled()`
`boolean` | `isFinerEnabled()`
`boolean` | `isFinestEnabled()`
`void` | `logFine(java.lang.String message)`
`void` | `logFiner(java.lang.String message)`
`void` | `logFinest(java.lang.String message)`
`void` | `logInfo(java.lang.String message)`
`void` | `logSevere(java.lang.String message)`
`void` | `logSevere(java.lang.String message, java.lang.Throwable t)`
`void` | `logWarning(java.lang.String message)`
`void` | `logWarning(java.lang.String message, java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected Logger logger

### logChannel

    protected java.lang.String logChannel

Constructor Detail

### TxLogger

    public TxLogger(Logger logger,
                    java.lang.String logChannel)

Method Detail

### getLogger

    public Logger getLogger()

### createLogger

    public org.apache.commons.transaction.util.LoggerFacade createLogger(java.lang.String name)

  Specified by:
    `createLogger` in interface `org.apache.commons.transaction.util.LoggerFacade`

### logInfo

    public void logInfo(java.lang.String message)

  Specified by:
    `logInfo` in interface `org.apache.commons.transaction.util.LoggerFacade`

### logFine

    public void logFine(java.lang.String message)

  Specified by:
    `logFine` in interface `org.apache.commons.transaction.util.LoggerFacade`

### isFineEnabled

    public boolean isFineEnabled()

  Specified by:
    `isFineEnabled` in interface `org.apache.commons.transaction.util.LoggerFacade`

### logFiner

    public void logFiner(java.lang.String message)

  Specified by:
    `logFiner` in interface `org.apache.commons.transaction.util.LoggerFacade`

### isFinerEnabled

    public boolean isFinerEnabled()

  Specified by:
    `isFinerEnabled` in interface `org.apache.commons.transaction.util.LoggerFacade`

### logFinest

    public void logFinest(java.lang.String message)

  Specified by:
    `logFinest` in interface `org.apache.commons.transaction.util.LoggerFacade`

### isFinestEnabled

    public boolean isFinestEnabled()

  Specified by:
    `isFinestEnabled` in interface `org.apache.commons.transaction.util.LoggerFacade`

### logWarning

    public void logWarning(java.lang.String message)

  Specified by:
    `logWarning` in interface `org.apache.commons.transaction.util.LoggerFacade`

### logWarning

    public void logWarning(java.lang.String message,
                           java.lang.Throwable t)

  Specified by:
    `logWarning` in interface `org.apache.commons.transaction.util.LoggerFacade`

### logSevere

    public void logSevere(java.lang.String message)

  Specified by:
    `logSevere` in interface `org.apache.commons.transaction.util.LoggerFacade`

### logSevere

    public void logSevere(java.lang.String message,
                          java.lang.Throwable t)

  Specified by:
    `logSevere` in interface `org.apache.commons.transaction.util.LoggerFacade`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD